package com.xlf.icousll

class Link<R>() {
    val head: LinkNode<R> = LinkNode(null, null)
    var size: Int = 0

    /**
     * 数组调用
     */
    constructor(split: List<R>) : this() {
        for (i in split) {
            add(i)
        }
    }

    /**
     * 添加元素
     *
     * @param data
     */
    fun add(data: R) {
        var temp = head
        while (temp.next != null) {
            temp = temp.next!!
        }
        temp.next = LinkNode(data, null)
        size++
    }
}